import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { IChartSettings } from '../common/IChartSettings';
export declare class SPXChartSettingsComponent implements OnInit {
    private fb;
    schemaConfig: FormGroup;
    settings: IChartSettings;
    settingsChange: EventEmitter<IChartSettings>;
    hideSubmit: boolean;
    showMessage: boolean;
    message: string;
    currentSchema: any;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    onSubmit({value, valid}: {
        value: any;
        valid: boolean;
    }): void;
    onSchemaChange(schema: any): void;
}
